<?php
/**
 * Advance Fitness gym : Block Patterns
 *
 * @package  Advance Fitness gym 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'advance-fitness-gym',
		array( 'label' => __( ' Advance Fitness gym ', 'advance-fitness-gym' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'advance-fitness-gym/banner-section',
		array(
			'title'      => __( 'Banner Section', 'advance-fitness-gym' ),
			'categories' => array( 'advance-fitness-gym' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":1249,\"dimRatio\":40,\"overlayColor\":\"black\",\"minHeight\":600,\"isDark\":false,\"align\":\"full\",\"className\":\"banner-section position-relative\"} -->\n<div class=\"wp-block-cover alignfull is-light banner-section position-relative\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-black-background-color has-background-dim-40 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1249\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"style\":{\"color\":{\"background\":\"#00000099\"}},\"className\":\"service-box p-3\"} -->\n<div class=\"wp-block-column service-box p-3 has-background\" style=\"background-color:#00000099;flex-basis:50%\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"style\":{\"color\":{\"text\":\"#fe5e24\"},\"typography\":{\"fontSize\":\"39px\"}}} -->\n<h1 class=\"has-text-align-center has-text-color\" style=\"color:#fe5e24;font-size:39px\">Build Your Body Transform Your Life</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-text-align-center has-white-color has-text-color\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'advance-fitness-gym/service-section',
		array(
			'title'      => __( 'Service Section', 'advance-fitness-gym' ),
			'categories' => array( 'advance-fitness-gym' ),
			'content'    => "<!-- wp:columns {\"backgroundColor\":\"white\",\"className\":\"service-section p-3\"} -->\n<div class=\"wp-block-columns service-section p-3 has-white-background-color has-background\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box\"><!-- wp:image {\"align\":\"center\",\"id\":1225,\"width\":30,\"height\":49,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"pt-3\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized pt-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-1225\" width=\"30\" height=\"49\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"textColor\":\"black\",\"className\":\"d-block service-head\"} -->\n<p class=\"has-text-align-center d-block service-head has-black-color has-text-color\" style=\"font-size:18px\">YOGA</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem ipsum is simply dummy</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box\"><!-- wp:image {\"align\":\"center\",\"id\":1243,\"width\":43,\"height\":46,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"pt-3\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized pt-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-1243\" width=\"43\" height=\"46\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"black\",\"className\":\"d-block  service-head\"} -->\n<p class=\"has-text-align-center d-block service-head has-black-color has-text-color\">WEIGHT LIFTING</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem ipsum is simply dummy</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box\"><!-- wp:image {\"align\":\"center\",\"id\":1244,\"width\":35,\"height\":40,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"pt-3\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized pt-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-1244\" width=\"35\" height=\"40\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"black\",\"className\":\"d-block  service-head\"} -->\n<p class=\"has-text-align-center d-block service-head has-black-color has-text-color\">RUNNING</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem ipsum is simply dummy</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"service-box\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center service-box\"><!-- wp:image {\"align\":\"center\",\"id\":1228,\"width\":34,\"height\":38,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"pt-3\"} -->\n<figure class=\"wp-block-image aligncenter size-full is-resized pt-3\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image4.png\" alt=\"\" class=\"wp-image-1228\" width=\"34\" height=\"38\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"black\",\"className\":\"d-block  service-head\"} -->\n<p class=\"has-text-align-center d-block service-head has-black-color has-text-color\">MEDICATION</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem ipsum is simply dummy</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'advance-fitness-gym/welcome-section',
		array(
			'title'      => __( 'Welcome Section', 'advance-fitness-gym' ),
			'categories' => array( 'advance-fitness-gym' ),
			'content'    => "<!-- wp:group {\"className\":\"welcome-section  pt-4\"} -->\n<div class=\"wp-block-group welcome-section pt-4\"><!-- wp:columns {\"className\":\"welcome-section\"} -->\n<div class=\"wp-block-columns welcome-section\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:image {\"id\":1236,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/About-Us.png\" alt=\"\" class=\"wp-image-1236\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"welcome-box\"} -->\n<div class=\"wp-block-column welcome-box\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"25px\"}},\"className\":\"welcome-box position-relative\"} -->\n<h2 class=\"welcome-box position-relative\" style=\"font-size:25px\">WELCOME TO ADVANCE FITNESS GYM</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"},\"color\":{\"text\":\"#5b5b5b\"}},\"className\":\"mt-md-3 mt-3\"} -->\n<p class=\"mt-md-3 mt-3 has-text-color\" style=\"color:#5b5b5b;font-size:15px\">Lorem ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"style\":{\"border\":{\"radius\":\"0px\"}},\"className\":\"welcome-btn d-block\",\"fontSize\":\"small\"} -->\n<div class=\"wp-block-button has-custom-font-size welcome-btn d-block has-small-font-size\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\" style=\"border-radius:0px\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}